Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009703 [DCSS] Bug Report minor have not tried 2015-05-04 00:37 2015-07-12 06:46
Reporter Whales View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.17 ancient branch
Summary 0009703: XL/XP to next level does not reset after leveling up
Description After leveling up to level 12, the main interface reported my XL as 11, and "Next:" as 101%. This persisted even after moving around. Saving/quitting and reloading seems to have fixed it, so my save file won't display this bug.

Save file:
http://crawl.akrasiac.org/saves/whales2-crawl-git-8914353be5-150503-1834.tar.bz2 [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0009728closedwheals XP percentage displayed incorrectly for one turn in some circumstances 

-  Notes
(0029306)
neil (administrator)
2015-07-12 06:32

If you set a force_more on "You have reached level", this will happen every time. It was introduced in 0.17-a0-876-g9764396, which added a print_stats whenever a more is triggered... but that clears the you.redraw_exp flag even if the new level hasn't actually been gained yet.
(0029307)
neil (administrator)
2015-07-12 06:46

Fixed in trunk (0.17-a0-1516-gf76066c), thanks!

- Issue History
Date Modified Username Field Change
2015-05-04 00:37 Whales New Issue
2015-07-12 06:32 neil Note Added: 0029306
2015-07-12 06:46 neil Note Added: 0029307
2015-07-12 06:46 neil Status new => resolved
2015-07-12 06:46 neil Fixed in Branch => 0.17 development branch
2015-07-12 06:46 neil Resolution open => done
2015-07-12 06:46 neil Assigned To => neil
2015-09-02 16:35 wheals Relationship added has duplicate 0009728


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker